curl --request PUT \
--url https://api-sandbox.synctera.com/v0/customers/{customer_id}/watchlists/subscriptions/{subscription_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customer_consent": true,
"auto_renew": true,
"created": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"period_end": "2023-12-25",
"period_start": "2023-12-25",
"provider_subscription_id": "<string>"
}
'import requests
url = "https://api-sandbox.synctera.com/v0/customers/{customer_id}/watchlists/subscriptions/{subscription_id}"
payload = {
"customer_consent": True,
"auto_renew": True,
"created": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"period_end": "2023-12-25",
"period_start": "2023-12-25",
"provider_subscription_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
customer_consent: true,
auto_renew: true,
created: '2023-11-07T05:31:56Z',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
period_end: '2023-12-25',
period_start: '2023-12-25',
provider_subscription_id: '<string>'
})
};
fetch('https://api-sandbox.synctera.com/v0/customers/{customer_id}/watchlists/subscriptions/{subscription_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customer_consent": true,
"auto_renew": true,
"created": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"period_end": "2023-12-25",
"period_start": "2023-12-25",
"provider_subscription_id": "<string>",
"status": "ACTIVE"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Update watchlist monitoring subscription
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Watchlist monitoring subscription ID
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The customer's unique identifier
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Body
Watchlist monitoring subscription to be updated. The only field that matters is status; all other fields are ignored.
Whether this customer has consented to being enrolled for watchlist monitoring
Whether this subscription should automatically renew when the subscription period is over (default: vendor-dependent).
When this subscription was created
Unique identifier for this subscription
The date when monitoring of this individual should end.
The date when monitoring of this individual should begin (default: today).
External provider subscription id
ACTIVE, INACTIVE Response
Updated watchlist subscription
Whether this customer has consented to being enrolled for watchlist monitoring
Whether this subscription should automatically renew when the subscription period is over (default: vendor-dependent).
When this subscription was created
Unique identifier for this subscription
The date when monitoring of this individual should end.
The date when monitoring of this individual should begin (default: today).
External provider subscription id
ACTIVE, INACTIVE Was this page helpful?

